
Redmine - Feature #1701

New Relation for Copying Branch Issues to other Versions

2008-07-28 22:14 - Sebastian Kopf

Status: Closed Start date: 2008-07-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

UseCase:

2 Production Branches, 1 Trunk

Customer submits bug for branch one. After analysing it is decided to also fix the bug in branch two and trunk.

So you have to merge or redo the bugfixing in 2 other releases.

That means you need a referenz for planing, development, time booking and testing for the other two releases.

It would be nice to have a copy to diffrent version feature where you could choose the target versions.

But more important there should be a relation wich represents that it was copy from the original in another version not only that it is

related. Maybe nice if Bug number stays the same and is identified with issue + Version number

Related issues:

Related to Redmine - Feature #4403: Copy with related task Closed 2009-12-15 2013-04-17

Related to Redmine - Feature #6899: Add a relation between the original and c... Closed 2010-11-15

History

#1 - 2008-07-29 00:58 - Sebastian Kopf

forgot something important. The relation is needed for managment purpose to know wich bugs had to be fixed in how many versions.

#2 - 2011-03-13 19:47 - Etienne Massip

- Category set to Issues

#3 - 2013-04-05 14:57 - Sebastian Kopf

- Status changed from New to Resolved

resolved via Feature 6899

#4 - 2013-04-05 15:04 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Thank you for your feedback.
